QGIS Application - Bug report #15157
Lack of standard features in Vector menu.
2016-06-28 08:24 AM - Michal Jurewicz

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 23096
Description

| have two version of QGIS installed on my Mac - 2.14.3 and master 2.15 323abe3. For some time there is no standard (basic) vector
edition and analyze option in Vector menu, like geometry tools and etc. Please, check the screenshot.
How can [ fix this? | believe it's some missing plugin or dependencies but | don't know which one.

History

#1 - 2016-06-30 01:02 AM - Alexander Bruy
- Status changed from Open to Feedback

Please check that you have no Processing plugin in your ~/.qgis2/python/plugins.

#2 - 2016-06-30 07:13 AM - Michal Jurewicz

I’ had and | deleted processing/ in this location and nothing changed. Still there aren't these functions in master.

#3 - 2016-06-30 01:29 PM - Calvin Hamilton

See ticket #15118. They are both talking about the same problem. | had to delete the HKEY_CURRENT_USER->Software->QGIS registry to clean it up.
Something is getting clobbered.

#4 - 2016-07-01 02:39 AM - Michal Jurewicz

| have installed QuickMapService, so it can be the same problem. How to repair this on OS X? There is no Registry Keys :)

#5 - 2016-07-01 05:28 AM - Calvin Hamilton

Someone else will have to answer that since | don't work with OS X.

#6 - 2016-07-03 12:51 AM - Michal Jurewicz

It has to be something different. | deleted both QGIS version with all additional files like ~/.qgis2 and qgis plist in ~/Library/Preferences, then | reinstall fresh

copy of master and still the same problem.
#7 - 2016-07-03 01:01 AM - Giovanni Manghi
- Category set to GUI

#8 - 2016-07-05 11:12 PM - Jonathan Virga
Hello,
I'm using QGis dev (2.15.0-Master, a0f329e) on Ubuntu and have the same problem : no vector tools in the Vector menu.

When using QGis 2.14.2 compiled from source, everything is fine.

#9 - 2017-01-03 05:39 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to invalid

In general there are no issues with multiple installations (in particular under Windows) but under Linux and OsX can be more tricky and source of

problems. Moreover "Master" the-development-version-ofQGIS can always come with some issue.

#10 - 2017-01-03 05:45 AM - Jonathan Virga

My issue came from an old processing directory in .qgis2/python/plugins.
Fixed by deleting it.
